<template>
  <div class="app-container">
    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button
          type="primary"
          plain
          icon="el-icon-plus"
          size="mini"
          @click="handleAdd"
          v-hasPermi="['mes:dv:checkplan:add']"
        >新增</el-button>
      </el-col>
    </el-row>
    <MachinerySelect ref="machinerySelect" @onSelected="onMachineryAdd" ></MachinerySelect>
    <el-table v-loading="loading" :data="checkmachineryList" >
      <el-table-column label="设备编码" align="center" prop="equipmentCode" />
      <el-table-column label="设备名称" align="center" prop="equipmentName" />
      <el-table-column label="品牌" align="center" prop="equipmentBrand" />
      <el-table-column label="规格型号" align="center" prop="equipmentSpec" />
      <el-table-column label="备注" align="center" prop="remark" />
      <el-table-column label="操作" align="center" >
        <template slot-scope="scope">
          <el-button
            size="mini"
            type="danger"
            icon="el-icon-delete"
            @click="deleteSelectedColumns(scope.row)"
          >删除</el-button>
        </template>
      </el-table-column>
    </el-table>

    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />
  </div>
</template>

<script>
import { listInspectionPlanInfo, getInspectionPlanInfo, delInspectionPlanInfo, addInspectionPlanInfo, updateInspectionPlanInfo } from "@/api/main/em/inspectionPlanInfo/inspectionPlanInfo";
import MachinerySelect from "@/components/inspectionPlanArchives/index.vue";
export default {
  name: "Checkmachinery",
  components:{MachinerySelect},
  props:{
    id: null,
    optType: null
  },
  data() {
    return {
      // 遮罩层
      loading: true,

      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 点检设备表格数据
      checkmachineryList: [],
        // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        equipmentId: null,
        equipmentCode: null,
        equipmentName: null,
        equipmentBrand: null,
        equipmentSpec: null,
      },
      // 表单参数
      form: {},
    };
  },
  created() {
    if(this.optType === 'add'){
      this.getList();
    }
    if(this.optType === 'edit'){
      this.getListedit();
    }
    console.log(this.planCode)
  },
  methods: {

    deleteSelectedColumns(row) {
      const index = this.checkmachineryList.findIndex(item => item.id === row.id);
      if (index !== -1) {
        this.checkmachineryList.splice(index, 1);
      } else {
        this.$message({
          message: '未找到具有该ID的项目',
          type: 'warning'
        });
      }
      this.$emit('inSelected',this.checkmachineryList);

    },
  /** 查询点检设备列表 */
    getList() {
      this.loading = true;
      this.queryParams.spareField1 = '设备清单'
    listInspectionPlanInfo(this.queryParams).then(response => {
        // this.checkmachineryList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    getListedit() {
      this.loading = true;
      this.queryParams.spareField1 = '设备清单'
      this.queryParams.spareField2 = this.id;
      listInspectionPlanInfo(this.queryParams).then(response => {
        this.checkmachineryList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },


    /** 新增按钮操作 */
    handleAdd() {
      this.$refs.machinerySelect.showFlag = true;
    },
      //设备资源选择回调
    // onMachineryAdd(rows){
    //   if(rows !=null && rows.length >0){
    //      rows.forEach(row => {
    //         row.planId = this.planId;
    //        addInspectionPlanArchives(row).then(response =>{
    //           this.getList();
    //         });
    //      });
    //   }
    // },
    onMachineryAdd(selectedRows){
      if(selectedRows !=null && selectedRows.length >0){
        this.checkmachineryList = selectedRows
      }
      this.$emit('inSelected',this.checkmachineryList);
    },

  }
};
</script>
